####################################
# TEST THE ENVIRONMENT
####################################
echo "################################"
echo "CHECKING THE ENVIRONMENT (Y2B):"
if [ $YALES2_HOSTTYPE = $BENCH_ARCH ]; then
   if [ "$(ls -A $YALES2_HOME/src/main 2>/dev/null)" ]; then
      echo ">> Load the environment: SUCCESSFUL"
   fi
else
   echo ">> Load the environment: FAILED"
   exit
fi
echo "CHECKING THE MODULES (Y2B):"
module list

####################################
# GO TO YALES2BIO DIRECTORY
####################################
cd $YALES2_HOME/src

####################################
# RESET
####################################
echo "CHECKING CLEANING: First test"
make clean 1>00.makeClean.out 2>00.makeClean.err
found=`cat 00.makeClean.err | grep Error`
if [ -z "$found" ]; then
   echo ">> Make clean: SUCCESSFUL"
else
   echo ">> Make clean: FAILED"
   echo ">> Please look at the $YALES2_HOME/src/00.makeClean.out file"
fi

####################################
# COMPILING
####################################
echo "COMPILING: it can take several minutes"
#make -j 5 
make -j 5 1>01.make.out 2>01.make.err
echo "COMPILING: end"

####################################
# TEST THE COMPILATION
####################################
echo "CHECKING THE COMPILATION (Y2B):"
if test -f "$YALES2_HOME/lib_optim/libyales2main.a"; then
   echo ">> Compilation: SUCCESSFUL"
else
   echo ">> Compilation: FAILED"
   echo ">> Please look at the $YALES2_HOME/src/01.make.out "
   echo ">> and $YALES2_HOME/src/01.make.err files"
   exit
fi
echo "################################"
